Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Interface Transaction.Consumer

All Known Subinterfaces:
  Transaction.ExtendedConsumer

All Known Implementing Classes:
  GraphTransaction.Consumer.Adapter, GraphTransaction.Consumer.Multicaster, GraphTransaction.Dump, Registry, State, Transaction.Consumer.Adapter, Transaction.Consumer.Multicaster, TransactionApplier

Enclosing class:
  Transaction

    public static interface Transaction.Consumer

Nested Class Summary
`static class` | `Transaction.Consumer.Adapter`
`static class` | `Transaction.Consumer.Multicaster`

Method Summary
`void` | `begin()`
`void` | `end()`
`void` | `insertComponent(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `makePersistent(long id, ManageableType type)`
`void` | `makeTransient(PersistenceCapable o, ManageableType type)`
`void` | `readData(PersistenceCapable o, Transaction.Reader reader)`
`void` | `removeComponent(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `setField(PersistenceCapable o, PersistenceField field, int[] indices, Transaction.Reader reader)`

Method Detail

### begin

    void begin()

### end

    void end()

### insertComponent

    void insertComponent(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         Transaction.Reader reader)

### makePersistent

    void makePersistent(long id,
                        ManageableType type)

### makeTransient

    void makeTransient(PersistenceCapable o,
                       ManageableType type)

### readData

    void readData(PersistenceCapable o,
                  Transaction.Reader reader)

### removeComponent

    void removeComponent(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         Transaction.Reader reader)

### setField

    void setField(PersistenceCapable o,
                  PersistenceField field,
                  int[] indices,
                  Transaction.Reader reader)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD